# KingMetal Project Template

## Installation via dotnet new template

```bash
dotnet new -i KingMetal.Orleans.Solution.Template::1.0.0
```

## Create new project:

```bash
dotnet new king-sln --name "HsCrm" --dbTPrefix "hc_" --appName "crm" --port 5003 --connectionString "Server=127.0.0.1;Port=5432;Database=huangs_xxx;User Id=huangs_xxx;Password=pwd;Pooling=true;MaxPoolSize=100;"
```

Project template options:

```bash
--name: [string value] for project name
--dbTPrefix: [string value] The prefix of DataBase table(for example: gi_).
--appName: [string value] The short name of application(for example: crmordercart...).
--port: [int value] The http port of the web api (for example: 5000).
--connectionString: [string value] The ConnectionString of DataBase.
```